VERSION 5.00
Begin VB.Form frmSearch 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Data Search"
   ClientHeight    =   2880
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4125
   Icon            =   "Search.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2880
   ScaleWidth      =   4125
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Height          =   885
      Left            =   540
      TabIndex        =   6
      Top             =   705
      Width           =   3135
      Begin VB.OptionButton optSearch 
         Caption         =   "Field Contains"
         Height          =   255
         Index           =   1
         Left            =   540
         TabIndex        =   8
         Top             =   540
         Width           =   1575
      End
      Begin VB.OptionButton optSearch 
         Caption         =   "Field Begins With"
         Height          =   255
         Index           =   0
         Left            =   540
         TabIndex        =   7
         Top             =   180
         Value           =   -1  'True
         Width           =   1575
      End
   End
   Begin VB.CommandButton cmdPrivate 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   945
      TabIndex        =   0
      Top             =   2295
      Width           =   1200
   End
   Begin VB.CommandButton cmdDone 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   5
      Top             =   2295
      Width           =   1200
   End
   Begin VB.TextBox txtSearch 
      Height          =   285
      Left            =   1170
      TabIndex        =   2
      Text            =   "txtSearch"
      Top             =   1800
      Width           =   2490
   End
   Begin VB.ComboBox cboSearch 
      Height          =   315
      ItemData        =   "Search.frx":000C
      Left            =   1170
      List            =   "Search.frx":000E
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   270
      Width           =   2490
   End
   Begin VB.Label Label1 
      Caption         =   "Search By:"
      Height          =   240
      Left            =   225
      TabIndex        =   4
      Top             =   315
      Width           =   870
   End
   Begin VB.Label Label3 
      Caption         =   "Search For:"
      Height          =   240
      Left            =   225
      TabIndex        =   3
      Top             =   1845
      Width           =   870
   End
End
Attribute VB_Name = "frmSearch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private CurrentSearch, CurrentSort

Private Sub cboSearch_Click()
On Error GoTo cboSearch_Click_ErrorHandler

'-------------------- Code Body Starts --------------------
  txtSearch.SetFocus

'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
cboSearch_Click_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": cboSearch_Click", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_cboSearch_Click
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_cboSearch_Click:
End Sub

Private Sub cboSort_Click()
On Error GoTo cboSort_Click_ErrorHandler

'-------------------- Code Body Starts --------------------
  txtSearch.SetFocus

'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
cboSort_Click_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": cboSort_Click", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_cboSort_Click
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_cboSort_Click:
End Sub

Private Sub cmdDone_Click()
On Error GoTo cmdDone_Click_ErrorHandler

'-------------------- Code Body Starts --------------------
  Unload Me
'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
cmdDone_Click_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": cmdDone_Click", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_cmdDone_Click
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_cmdDone_Click:
End Sub

Private Sub cmdPrivate_Click()
On Error GoTo cmdPrivate_Click_ErrorHandler

'-------------------- Code Body Starts --------------------
   If txtSearch.Text = "" Then
      Title = "No Search Text"
      MSG = "You must enter text to search"
      DgDef = MB_OK
      Beep
      Response = MsgBox(MSG, DgDef, Title)
      txtSearch.SetFocus
   Else
      Searchtext = txtSearch.Text
      SearchField = AddBrackets(cboSearch.Text)
      
      If m_DataType = 0 Then        'DAO
        
        If CurrentTB.Type = 1 Then      'dbOpenTable
            Srchcomp = ">="
            CurrentTB.Index = CurrentTB.Indexes(cboSearch.ListIndex).Name
            CurrentTB.Seek Srchcomp, Searchtext
        
        Else
          If optSearch(0).Value Then
            Srchcomp = " LIKE " + "'" + Searchtext + "*'"
          Else
            Srchcomp = " LIKE " + "'*" + Searchtext + "*'"
          End If
      
          gSearchArg = SearchField + Srchcomp
          CurrentTB.FindFirst gSearchArg
        End If
        
        If CurrentTB.NoMatch Then
           Beep
           MSG = "No Match Found for '" & Searchtext & "'"
           MsgBox (MSG)
           txtSearch.Text = ""
           txtSearch.SetFocus
           Exit Sub
        End If
      
      Else      'RDO and ADO
        CurrentTB.movefirst
        While Not CurrentTB.EOF
            If optSearch(0).Value Then
              If UCase(CurrentTB(SearchField)) >= UCase(Searchtext) Then
                Unload Me
                Exit Sub
              End If
            Else
              If InStr(UCase(CurrentTB(SearchField)), UCase(Searchtext)) > 0 Then
                Unload Me
                Exit Sub
              End If
            End If
            CurrentTB.movenext
        Wend
           
        Beep
        MSG = "No Match Found for '" & Searchtext & "'"
        MsgBox (MSG)
        txtSearch.Text = ""
        txtSearch.SetFocus
        Exit Sub
      End If
      Unload Me
   End If
'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
cmdPrivate_Click_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": cmdPrivate_Click", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_cmdPrivate_Click
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_cmdPrivate_Click:
End Sub

Private Sub Form_Activate()
On Error GoTo Form_Activate_ErrorHandler

'-------------------- Code Body Starts --------------------
   txtSearch.Text = ""
   
   cboSearch.ListIndex = CurrentSearch
   txtSearch.SetFocus

'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
Form_Activate_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": Form_Activate", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_Form_Activate
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_Form_Activate:
End Sub

Private Sub Form_Load()
On Error GoTo Form_Load_ErrorHandler

'-------------------- Code Body Starts --------------------
Dim flds As String
Select Case m_DataType
Case 0      'dao
   cboSearch.Clear
   
   If CurrentTB.Type = 1 Then           'dbOpenTable
     For Each idx In CurrentTB.Indexes
         flds = ""
         For Each fld In idx.fields
           flds = flds + "+" + fld.Name
         Next
         cboSearch.AddItem flds
     Next
   Else
     For Each fld In CurrentTB.fields
       If fld.Name <> "_RECNUM" Then
         cboSearch.AddItem fld.Name
       End If
     Next
   End If
  
   'select default search field
   CurrentSearch = 0
   If gSearchField > "" Then
     For x = 1 To cboSearch.ListCount
       If cboSearch.List(x) = gSearchField Then
         CurrentSearch = x
         Exit For
       End If
     Next
   End If

Case 1      'rdo
   cboSearch.Clear
   For Each fld In CurrentTB.rdoColumns
     If fld.Name <> "_RECNUM" Then
       cboSearch.AddItem fld.Name
     End If
   Next
   CurrentSearch = 0
   If gSearchField > "" Then
     For x = 1 To cboSearch.ListCount
       If cboSearch.List(x) = gSearchField Then
         CurrentSearch = x
         Exit For
       End If
     Next
   End If

Case 2      'ado
End Select
 
If CurrentTB.Type = 1 Then
   optSearch(1).Enabled = False
Else
   optSearch(1).Enabled = True
End If

Exit Sub
'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
Form_Load_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": Form_Load", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_Form_Load
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_Form_Load:
End Sub

Private Sub optSearch_Click(Index As Integer)
On Error GoTo optSearch_Click_ErrorHandler

'-------------------- Code Body Starts --------------------
    txtSearch.SetFocus
'--------------------- Code Body Ends ---------------------
    
    Exit Sub
    
optSearch_Click_ErrorHandler:

    Select Case MsgBox("Error " & Err.Number & ": " & vbCrLf & Err.Description & vbCrLf & vbTab & vbTab & "occurred at line " & Erl & vbCrLf & "in " & App.Title & ": optSearch_Click", vbAbortRetryIgnore + vbExclamation, App.Title & " Error")
        Case vbAbort
            Resume Exit_optSearch_Click
        Case vbRetry
            Resume
        Case vbIgnore
            Resume Next
    End Select

Exit_optSearch_Click:
End Sub
